| Home | Libraries | People | FAQ | More

##### io_context::poll (2 of 2 overloads)

(Deprecated: Use non-error_code overload.) Run the `io_context` object's event processing loop to execute ready handlers.

    count_type poll(
        boost::system::error_code & ec);

The `poll()` function runs handlers that are ready to run, without blocking, until the `io_context` has been stopped or there are no more ready handlers.

###### Parameters

ec

  Set to indicate what error occurred, if any.

###### Return Value

The number of handlers that were executed.